/*
 * The Modern Classic Game - a 3D/2D game
 * Copyright (C) 2013 Thiago Lasso (SoniEx2)
 * 
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.github.soniex2.tmcg.entity.player.gender;

import java.util.Random;

public class RandomGenderValue extends GenderValue {
	
	protected Random rng = new Random();

	public RandomGenderValue(double d) {
		super(d);
	}
	
	public RandomGenderValue(double min, double max) {
		super(min, max);
	}

	@Override
	public double get() {
		return this.min + rng.nextDouble() * (max - min);
	}

}
