package com.github.soniex2.tmcg.ym2612;

// TODO: write this
public class YM2612 {

	// Clock cycle
	protected int cycle = 0;
	// Envelope Generator updates every 3 FM cycles
	protected int fmCycle = 0;

	// 6 channels
	private int[] out = new int[6];
	private FMChannel[] fm = new FMChannel[6];
	private OutputDac dac;

	public YM2612(OutputDac dac) {
		this.dac = dac;
	}

	public void stuff() {
		if (fmCycle == 3) {
			// Update EG counter
			fmCycle = 0;
		}
		switch (cycle) {
		case 0:
			for (int x = 0; x < 6; x++) {
				dac.set(out[x], x, true, true);
			}
			
			// Update Op0 from channels 0 and 3
			break;
		case 1:
			// Update Op2 from channels 0 and 3
			break;
		case 2:
			// Update Op1 from channels 0 and 3
			break;
		case 3:
			// Update Op3 from channels 0 and 3
			break;
		case 4:
			// Update Op0 from channels 1 and 4
			break;
		case 5:
			// Update Op2 from channels 1 and 4
			break;
		case 6:
			// Update Op1 from channels 1 and 4
			break;
		case 7:
			// Update Op3 from channels 1 and 4
			break;
		case 8:
			// Update Op0 from channels 2 and 5
			break;
		case 9:
			// Update Op2 from channels 2 and 5
			break;
		case 10:
			// Update Op1 from channels 2 and 5
			break;
		case 11:
			// Update Op3 from channels 2 and 5
			cycle = -1;
			fmCycle++;
			break;
		}
		cycle++;
	}

}
